PostgreSQL 8.0.3 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# RESET

## Name

RESET -- restore the value of a run-time parameter to the default value

## Synopsis

    RESET name
    RESET ALL

## Description

`RESET` restores run-time parameters to their default values. `RESET` is an alternative spelling for

    SET parameter TO DEFAULT

Refer to SET for details.

The default value is defined as the value that the parameter would have had, had no `SET` ever been issued for it in the current session. The actual source of this value might be a compiled-in default, the configuration file, command-line options, or per-database or per-user default settings. See Section 16.4 for details.

See the `SET` reference page for details on the transaction behavior of `RESET`.

## Parameters

`name`

  The name of a run-time parameter. See SET for a list.

`ALL`

  Resets all settable run-time parameters to default values.

## Examples

Set the `geqo` configuration variable to its default value:

    RESET geqo;

## Compatibility

`RESET` is a PostgreSQL extension.

Prev | Home | Next
RELEASE SAVEPOINT | Up | REVOKE